"Your license is not current enough to allow you to use this newer version of our software"

"Your license is not current enough to allow you to use this newer version of our software"

We purchased Intel C Studio XE 2013Sp1. After a few months Intel prompted me to upgrade to XE 14. But today when I try to use, it's saying "Your license is not current enough to allow you to use this newer version of our software".

So I should uninstall XE 14 and install back my original XE 13? Also, why Intel prompt me to install XE 14 as I can't use it at all?

Below its the error msg, thanks,

1>MessageBuildingWithCompiler:
1>  Building with Intel(R) C++ Compiler XE 14.0
1>ClCompile:
1>  ***** ClCompile (Win32 - Intel C++)
1>  Error: A license for CCompW could not be obtained
1>  Your license is not current enough to allow you to use this
1>  newer version of our software.  Usually this occurs because
1>  your support services license expired before we created this
1>  version.  You will need to purchase a new license.

 

2 posts / 0 new
Last post
For more complete information about compiler optimizations, see our Optimization Notice.

Hi,

    The reason that you are seeing this issue is because your license has expired on "7/19/2013", But the 14.0 C++ studio XE build date was "August 2013", You would be eligible to download any software updates/ releases only if your expiration date is later than the Build date. Since your license expired in July and build date of 14.0 version was August, You would not be able to use the 14.0 version of the suite.

You can either use 13.0 version, else you may renew your license to access the latest 14.0 release. Please do let me know if you need any further information.

Note :- Do not share any confidential information here. Please use the private message option to send the confidential information like SN's license file and so on.

Regards,
Sukruth H V

Leave a Comment

Please sign in to add a comment. Not a member? Join today